#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Fri Feb 12 12:15:26 2021

@author: tanu
"""
#%% load packages
import os
homedir = os.path.expanduser('~')
os.chdir (homedir + '/git/LSHTM_analysis/mcsm_na')
from get_results_mcsm_na import *
########################################################################
# variables
my_host = 'http://biosig.unimelb.edu.au'

# TODO: add cmd line args
#gene = 'gid'
drug = 'streptomycin'
datadir = homedir + '/git/Data'
indir = datadir + '/' + drug + '/input'
outdir = datadir + '/' + drug + '/output'

#==============================================================================
# batch 26: 25.txt, RETRIEVED: 16 Feb:
my_url_file =  outdir + '/mcsm_na_temp/mcsm_na_result_url_gid_b26.txt'
my_suffix = 'gid_b26'

#==============================================================================

#==========================
# CALL: get_results() 
# Data: gid+streptomycin
#==========================
print('Downloading results for:', my_url_file, '\nsuffix:', my_suffix)

get_results(url_file  = my_url_file
           , host_url = my_host
           , output_dir = outdir
           , outfile_suffix = my_suffix)
#%%#####################################################################               
